- Introduced the
PATCH /folders/{folder_id}/permissions/{accessor_type}/{accessor_id}endpoint, letting you set the access level of a folder. - Introduced the
PATCH /assets/{asset_id}/permissions/{accessor_type}/{accessor_id}endpoint, letting you set the access level of an asset.
- Introduced the
POST /assets/{asset_id}/permissions/{accessor_type}endpoint, letting you grant asset access to users or teams. - Introduced the
POST /folders/{folder_id}/permissions/{accessor_type}endpoint, letting you grant folder access to users or teams. - Updated the
GET /fieldsendpoint by adding theidsquery param for filtering fields by IDs. - Fixed typo of
richtextbody parameter torich_textfor the following endpoints:POST /fieldsPATCH /fields/{id}POST /fields/{id}/choicesPATCH /fields/{field_id}/choices/{choice_id}
Introduced the DELETE /tasks/{task_id}/fields/{field_id} endpoint, allowing the removal of an existing field from a task.
Introduced the POST /tasks/{task_id}/fields endpoint, allowing the addition of new fields to a task.
Introduced the PATCH /fields/{field_id}/choices/{choice_id} endpoint, enabling updates to the choices associated with a specific field.
Introduced the GET /assets/{asset_id}/permissions and GET /folders/{folder_id}/permissions endpoints, allowing retrieval of permission details for an asset and a folder, respectively.
Introduced the GET /tasks/{task_id}/assets/{asset_id}/drafts/{draft_id}/brand-compliance endpoint, allowing the retrieval of brand compliance status and categories for a task asset draft.
Introduced the DELETE /fields/{field_id}/choices/{choice_id} endpoint, allowing the removal of a specific choice from a field.
- Added a new
is_skippedfield to the request payload of thePATCH /tasks/{task_id}/steps/{step_id}/sub-steps/{sub_step_id}endpoint, enabling the ability to skip a substep. - Introduced the
idfield in the response of theGET /tasks/{task_id}/assets/{asset_id}/draftsendpoint.
- Introduced the
GET /tasksendpoint, enabling the retrieval of a list of tasks. - Introduced the
POST /fields/{id}/choicesendpoint, allowing the addition of new choices to a field. - Corrected the example of the color field in the response of the
GET /fieldsendpoint. - Clarified that the color field is supported exclusively for fields of type label.
- Removed the color field from the response of the
POST /fields/{id}/choicesendpoint.
